Home | All Classes | Main Classes | Annotated | Grouped Classes | Functions |

# QHideEvent Class Reference

The QHideEvent class provides an event which is sent after a widget is hidden. More...

`#include <qevent.h>`

Inherits QEvent.

List of all member functions.

## Public Members

- QHideEvent ()

## Detailed Description

The QHideEvent class provides an event which is sent after a widget is hidden.

This event is sent just before QWidget::hide() returns, and also when a top-level window has been hidden (iconified) by the user.

If spontaneous() is TRUE the event originated outside the application, i.e. the user hid the window using the window manager controls, either by iconifying the window or by switching to another virtual desktop where the window isn't visible. The window will become hidden but not withdrawn. If the window was iconified, QWidget::isMinimized() returns TRUE.

See also QShowEvent and Event Classes.

## Member Function Documentation

### QHideEvent::QHideEvent ()

Constructs a QHideEvent.

This file is part of the Qt toolkit. Copyright © 1995-2003 Trolltech. All Rights Reserved.